Package org.opensaml.xmlsec.signature.impl

# Class KeyValueImpl

java.lang.Object
org.opensaml.core.xml.AbstractXMLObject
org.opensaml.xmlsec.signature.impl.KeyValueImpl

All Implemented Interfaces:
  `XMLObject`, `KeyValue`

public class KeyValueImpl extends AbstractXMLObject implements KeyValue
Concrete implementation of `KeyValue`.

## Field Summary

Fields
Modifier and Type
Field
Description
`private DHKeyValue`
`dhKeyValue`
DHKeyValue child element.
`private DSAKeyValue`
`dsaKeyValue`
DSAKeyValue child element.
`private ECKeyValue`
`ecKeyValue`
ECKeyValue child element.
`private RSAKeyValue`
`rsaKeyValue`
RSAKeyValue child element.
`private XMLObject`
`unknownXMLObject`
Wildcard <any> XMLObject child element.

### Fields inherited from interface org.opensaml.xmlsec.signature.KeyValue

`DEFAULT_ELEMENT_LOCAL_NAME, DEFAULT_ELEMENT_NAME, TYPE_LOCAL_NAME, TYPE_NAME`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`KeyValueImpl(String namespaceURI, String elementLocalName, String namespacePrefix)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`DHKeyValue`
`getDHKeyValue()`
Get the DHKeyValue child element.
`DSAKeyValue`
`getDSAKeyValue()`
Get the DSAKeyValue child element.
`ECKeyValue`
`getECKeyValue()`
Get the ECKeyValue child element.
`List<XMLObject>`
`getOrderedChildren()`
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.
`RSAKeyValue`
`getRSAKeyValue()`
Get the RSAKeyValue child element.
`XMLObject`
`getUnknownXMLObject()`
Get the wildcard <any> XMLObject child element.
`void`
`setDHKeyValue(DHKeyValue newDHKeyValue)`
Set the DHKeyValue child element.
`void`
`setDSAKeyValue(DSAKeyValue newDSAKeyValue)`
Set the DSAKeyValue child element.
`void`
`setECKeyValue(ECKeyValue newECKeyValue)`
Set the ECKeyValue child element.
`void`
`setRSAKeyValue(RSAKeyValue newRSAKeyValue)`
Set the RSAKeyValue child element.
`void`
`setUnknownXMLObject(XMLObject newXMLObject)`
Set the wildcard <any> XMLObject child element.

### Methods inherited from class org.opensaml.core.xml.AbstractXMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, manageQualifiedAttributeNamespace, prepareAttributeValueForAssignment, prepareElementContentForAssignment, prepareForAssignment, prepareForAssignment, prepareForAssignment, registerOwnID, releaseChildrenDOM, releaseDOM, releaseParentDOM, releaseThisAndChildrenDOM, releaseThisandParentDOM, resolveID, resolveIDFromRoot, setDOM, setElementNamespacePrefix, setElementQName, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation, setSchemaType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### dhKeyValue

@Nullable private DHKeyValue dhKeyValue
DHKeyValue child element.

### dsaKeyValue

@Nullable private DSAKeyValue dsaKeyValue
DSAKeyValue child element.

### rsaKeyValue

@Nullable private RSAKeyValue rsaKeyValue
RSAKeyValue child element.

### ecKeyValue

@Nullable private ECKeyValue ecKeyValue
ECKeyValue child element.

### unknownXMLObject

@Nullable private XMLObject unknownXMLObject
Wildcard <any> XMLObject child element.

## Constructor Details

### KeyValueImpl

protected KeyValueImpl(@Nullable String namespaceURI, @Nonnull String elementLocalName, @Nullable String namespacePrefix)
Constructor.

Parameters:
  `namespaceURI` - the namespace the element is in
  `elementLocalName` - the local name of the XML element this Object represents
  `namespacePrefix` - the prefix for the given namespace

## Method Details

### getDHKeyValue

@Nullable public DHKeyValue getDHKeyValue()
Get the DHKeyValue child element.

Specified by:
  `getDHKeyValue` in interface `KeyValue`
Returns:
  DHKeyValue child element

### setDHKeyValue

public void setDHKeyValue(@Nullable DHKeyValue newDHKeyValue)
Set the DHKeyValue child element.

Specified by:
  `setDHKeyValue` in interface `KeyValue`
Parameters:
  `newDHKeyValue` - the new DHKeyValue child element

### getDSAKeyValue

@Nullable public DSAKeyValue getDSAKeyValue()
Get the DSAKeyValue child element.

Specified by:
  `getDSAKeyValue` in interface `KeyValue`
Returns:
  DSAKeyValue child element

### setDSAKeyValue

public void setDSAKeyValue(@Nullable DSAKeyValue newDSAKeyValue)
Set the DSAKeyValue child element.

Specified by:
  `setDSAKeyValue` in interface `KeyValue`
Parameters:
  `newDSAKeyValue` - the new DSAKeyValue child element

### getRSAKeyValue

@Nullable public RSAKeyValue getRSAKeyValue()
Get the RSAKeyValue child element.

Specified by:
  `getRSAKeyValue` in interface `KeyValue`
Returns:
  the RSAKeyValue child element

### setRSAKeyValue

public void setRSAKeyValue(@Nullable RSAKeyValue newRSAKeyValue)
Set the RSAKeyValue child element.

Specified by:
  `setRSAKeyValue` in interface `KeyValue`
Parameters:
  `newRSAKeyValue` - the new RSAKeyValue child element

### getECKeyValue

@Nullable public ECKeyValue getECKeyValue()
Get the ECKeyValue child element.

Specified by:
  `getECKeyValue` in interface `KeyValue`
Returns:
  the ECKeyValue child element

### setECKeyValue

public void setECKeyValue(@Nullable ECKeyValue newECKeyValue)
Set the ECKeyValue child element.

Specified by:
  `setECKeyValue` in interface `KeyValue`
Parameters:
  `newECKeyValue` - the new ECKeyValue child element

### getUnknownXMLObject

@Nullable public XMLObject getUnknownXMLObject()
Get the wildcard <any> XMLObject child element.

Specified by:
  `getUnknownXMLObject` in interface `KeyValue`
Returns:
  the wildcard XMLObject child element

### setUnknownXMLObject

public void setUnknownXMLObject(@Nullable XMLObject newXMLObject)
Set the wildcard <any> XMLObject child element.

Specified by:
  `setUnknownXMLObject` in interface `KeyValue`
Parameters:
  `newXMLObject` - the wildcard XMLObject child element

### getOrderedChildren

@Nullable @Unmodifiable @NotLive public List<XMLObject> getOrderedChildren()
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.

Specified by:
  `getOrderedChildren` in interface `XMLObject`
Returns:
  ordered list of child elements